---
apiVersion: ingress.operator.openshift.io/v1
kind: DNSRecord
metadata:
  creationTimestamp: "2020-05-26T09:46:58Z"
  finalizers:
  - operator.openshift.io/ingress-dns
  generation: 1
  labels:
    ingresscontroller.operator.openshift.io/owning-ingresscontroller: default
  managedFields:
  - apiVersion: ingress.operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:finalizers:
          .: {}
          v:"operator.openshift.io/ingress-dns": {}
        f:labels:
          .: {}
          f:ingresscontroller.operator.openshift.io/owning-ingresscontroller: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"084a22e2-d101-4f4f-8701-930a93aba588"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        .: {}
        f:dnsName: {}
        f:recordTTL: {}
        f:recordType: {}
        f:targets: {}
      f:status:
        .: {}
        f:zones: {}
    manager: ingress-operator
    operation: Update
    time: "2020-05-26T09:54:17Z"
  name: default-wildcard
  namespace: openshift-ingress-operator
  ownerReferences:
  - apiVersion: operator.openshift.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: IngressController
    name: default
    uid: 084a22e2-d101-4f4f-8701-930a93aba588
  resourceVersion: "19502"
  selfLink: /apis/ingress.operator.openshift.io/v1/namespaces/openshift-ingress-operator/dnsrecords/default-wildcard
  uid: 8a47b08d-9d60-478c-b178-8b2096d31036
spec:
  dnsName: '*.apps.skumari-gcp.gcp.devcluster.openshift.com.'
  recordTTL: 30
  recordType: A
  targets:
  - 35.243.229.0
status:
  zones:
  - conditions:
    - lastTransitionTime: "2020-05-26T09:54:17Z"
      message: The DNS provider succeeded in ensuring the record
      reason: ProviderSuccess
      status: "False"
      type: Failed
    dnsZone:
      id: skumari-gcp-wd9nd-private-zone
  - conditions:
    - lastTransitionTime: "2020-05-26T09:54:17Z"
      message: The DNS provider succeeded in ensuring the record
      reason: ProviderSuccess
      status: "False"
      type: Failed
    dnsZone:
      id: devcluster
